# -*- coding: utf-8 -*-
import json
from collections import Counter
from datetime import datetime

from konlpy.tag import Okt
from sqlalchemy import create_engine
from sqlalchemy.orm import sessionmaker
from get_car_model_id import get_car_model_id
#11/22 불용어 사전 수정

def remove_stopword(nouns):
    stopwords = [
    '고발','또한','또는','을', '를', '이', '의', '가', '은', '는', '으로', '에', '에서', '에서는', '인', '적', '간', '하여', '및', '수', '도', '들', '된', '바', '하고', '관', '한', '\xa0', '\xa0\xa0', '식\xa0','.', '심', '드림', '함', '하', '/', '[',']','후','것','될','일','로','해','시','하시어','되셨다','호','고','고함', '관련', '같음', '되지','다시', '드리고','통해','00','해당','다심','까지','드리기로','하는','주셔서','부분','드렸으며', '해달라고',
    '하겠다','하겠다고','하기','하나','하는지','하니','하다','하려','하려고','하며','하면','하부','하셔','하셔서','하셨는데','하시는','하시면','하신','하신다고','하실','하였다','한다','한다고','해달라고', '해도','해드리고','해드림','해보고','해보니','해보시라','해보십사','해서는','해야','해야하는지','해운대','해주셔','해주셔야','해주시','해주시길','해주신',"했는데",'하시며','하시라''같다','고하','같다고','같은','같이','갑자기','되고','되는','되는지','되며','되면','되어','되어있는',
    '되어있음','되었고','되었는지','된다고','되었다고','되었으나''되었다','되었음','된다면','될수','됨을','두고','드려','드렸으나','드리겠다','드리겠음','드리는','드리니','드리려','드리자','드린','드릴','드립니다','라고','부탁','부탁드림','부탁드립니다','부터','십사','안녕하십니까','여쭈니','이라','여쭈시어','여쭤','에게','에는','인지','우선','않고','않는','않는다','않은','않음','입니다','있는지','위해','야함','주셔야','주시','주시길','주신','주신다','주심','000','01','02','03',
    '05','06','08','09','10','1016','10월','11','111','114','11682','118','12','120','13','131','135','136','139','14','148','14년','15','155','15년','15만','16133','165','16년','17','170','172','173','17년','18','18년','19','192','1시','1월','1회','20','200','2016년','2017년','2018','2019년','2020','2021','2021년','2022','20년','20분','21','21379','218','21년','22','223214','23','24','25','25만',
    '26','27','29','2년','301','30만','32','32061','35','350','36','3614','3년','3시','3일','40','4142582','42','45','45만','46','49','4년','4월','4천만원','50','51','51320','520','55','56020','594','5년','62589','64','64416','64705','65','65만','6시','73','740','7시','80','8113','8월','90만','ab','acp','ad','app','ba','bcc','bit','bmw','bu','cd',
    'da','dc','dcoupe','dgx','dongsung','dpdb','drive','dspt','dss','edition','el','fd','fl','gb','gcid','gkl','gv','https','id','ihd','ii','ilnpno','in','inclusive','joy','ka','kk','kl','km','korea','kr','lci','lcikl','lixdrive','ly','mac','market','mggr','mini','misano','movie','my','night','ntfs','ob','oe','ok','package','pc','plus','pyk','res','rpm','sc','se',
    'sep','ser','shadow','sms','sport','spt','spthd','sr','ssa','sw','tele','urban','usb','user','vcs','vin','vts','warning','window','wsj','www','xline','xx','years','가능하','가능하며','가능하신','가능한','가능한지','가능할','가능함을','가량','가져오셨는데','가죽','가지','감사','감사합니다','갔다','강인숙','강형진','갖고','같다시며','개요','개월','거주','것임','경우','계시','계신'
    ,'계획','고객','고덕로','고덕면','고사','고재성','공단','공식','공해','관심','교리','국가','권유','그냥','그란','그런','그렇게','그룹','그리고','급히','기능','기다리며','기동','기본','기사','기준','기한','까지만','까페','끄니','끊어져','끊었고','끊으','끝나기','나가기','나고','나누셔','나눠','나올','나왓다','나잇','나타나면','남구','남아','내부','내용','낸셜','너무','년도','높은','누르시고','누적','눌러',
    '니까','다르게','다른','다만','다음','다음주','단일','달동','달라','담당자','답변','당사','당시','대라고','대로','대상','대신','대표','대하','대한','대해','더니','도에','도움','동반','동선','동성','동시','동일','동일하다고','동일해야지만','되거나','되나','되므로','되시다가','되어야','되어있는지','되어있다하','되어있지','되었','되었다','되었다는','되었습니다','되었었는데','되지만','된다','됨과','됩니다','됩니다만','드려서','드리기','드리며','드린다','드린다고','든지',
    '들어가기','들어가는지','들어오는데','들었으나','등록','딜러','딜리','따라','따로','때문','라라','라면','락준','락처','량번호','레이','려고','리즈는','리즈와','마무리','마이크로','많다고','많이','말씀','맞고','맞는지','매니저','매매','멀다고','메뉴','메세지','메시지','메일','명의','모두','모든','모르겟으나','목록','몰에서','무비','무상','문의','문의사항','문자','물어','물어보','물어보셔서','물어봤다고','미니','미리',
    '미사','미전시','밍체','바람','바랍니다','바이','박민호','박범철','박수진','박훈식님','박희','밖에는','받고','받기로','받아','받았는데','받았다','받으','받으면','받으셨다','받으셨으나','받은','받을','방문','방법','방식','버리','번호','변경','변동','별도','보고','보기','보내','보내시기','보다','보심','보유','보입니다','보지','본인','볼륨','부서','부영','부재','부탁드리며','부터는','분이시죠','불가','불가능한데','불가한','불가한지','불가함','사고','사마','사용','사유','삭제','산시','상기','상담','상담사','상세','상태','상황','생길','서대구로','서울','선택','성함','세부','손대호','송도동','수가','수정','순간','순차','순천','시오','시일','시작','식혀주기','신다','신청','싶다고','아니고','아니라','아니라고','아님','아래',
    '아직','안나','안내','안내받기로','안내받았다고','안내받았다하','안내받으셨다며','안녕하세요','안되','안되고','안되는','안되며','안되서','안되어','안되어있는','안되어있음','안된다','안된어','안됨','안정','않는다고','않아','않았다고','않으나','않으며','않으셨다','않은가','알겠다고만','알려','압축','앞당기거나','앱및','양녕로','양재','양재대로','양해','어느','어드','어디','어디서','어떤','어떻게','어려운','어려움','어려워','어렵습니다','어플','언제','얼마','없는','없다','없다고',
    '없어','없으','없음','없이','에도','에서도','에서만','에어','여부','연결','연결하여','연결함','연락','연락처','연수구','연식','열린다고하','예약','예정','오고','오늘','오래','오면','오셔서','오실','오일','오지','오토','올라가기','완료','왔다','왔으나','요청','운영','운전','워런','원주','원투','원표','원호','위치','유럽','유료','유상','유성','유안','윤동현','음으로',
    '응대','의향','이기','이다','이동','이라고','이력','이메일','이며','이미','이상','이심','이외','이용','이전','이진욱','이촌동','이후','익일','인근','인수','인안','인입','인증','일단','일등','일반','일시','일정','입력','입시','있거나','있고','있느냐고','있는','있는데','있다','있다고','있다면','있던데','있어서','있으나','있으니','있으시다면','있으신','있음','있지','자꾸','자꾸만','잘못','장님','장치','잦아','재시','재안','재인','재희','저희','적용','전달','전방',
    '전부','전송','전자','전화','전화한','전화했다고','전환','점프','정도','정범','정보','정비','정상','정용욱','정해져','정확하게','정확한','제공','조이','조인환','조치','조회','종료','종이','좋지는','주년','주말','주셨던','주소','주신다고','중앙','중요하지','즉시','즐거운','증상','지금','지급','지난','지났다','지는','지류','지속','지역','직수입','직원','직접','진과','진주','진주시','진행','질문','질의','차대','차량','차문','차이','차종','차주','착석','참고','찾아보니',
    '처리','천봉','천연','최근','최대','최종','최지민','최초','추가','추후','출시','충분하','콜센터','쿠페','크롬','타면','텔레','통한','통합','통화','통홪','틀리다고','티켓','파이','파일','판매','패셔널','페어','페이지','펼쳐','평거','평택시','포함','표시','프로','프리','필요','필요하다','필요하실',
    '필요한','하는데','하단','하면서','하셨다','하셨다고','하셨다면','하시거나','하시겠습니까','하시고','하시기로','하시라','하시면서','하신다','하실수','하였고','하였습니다','하였으니','하지','하지도','하체','한국','한번','한지','한쪽','한테','한해','할당','항목','항상','항의','해결','해달라','해드','해드리는','해드리며','해보','해보겠다고','해보니까','해보셨다고','해야하는데','해제','해주시고','해주시기','해주십사','해주십시오','했고','했다','했다고','했다며','했습니까','했으나','했음에도','현장',
    '현재','확실히','확인','확인가능','환경','환해','활용','황색','회시','회신','회원','휴무','000원','025907314','031','0327441960','04','04년','07','07월','080','100','100만','10만','10일','11월','11일','12년','12월','12일','130','13579','13년','144','14일','1544','1566','1588','16','1688','17034837','17596','1815','19년','1년','1일','2007년','2008년','201','2011','2011년','2012','2012년','2013','2014',
    '2014년','2015','2015년','2016','2017','2018년','2019','2020년','20만','220','220만원','22년','2월','2일','30','3000','31','320','330','3월','47','476931','4827','522','523','525','528','530','531','535','540','550','555','5분','5시','5월','6169','6월','700','74','7월','8000','82','86','9599','9시','9월','adb','aerodynamic','bc','car','cdc','cdp','ce','ch','chargev','crm','dcfa','de','dgranturismo','digital',
    'dsedannewengine','dxdrivesedan','ed','elci','engine','fa','fsk','fw','gt','hd','home','hu','ib','ilci','isedan','ixdrive','ixdrivesedan','key','kim','ko','kw','kwh','lim','limit','lux','max','minho','mm','msp','nbt','no','off','osmkropr','payment','phev','pro','pw','re','remote','retail','sd','service','start','successful','tc','url','vat','watch','wba','wbaxc','wbsuj','ws','wx','xs','zqpm','가까운','가깝게','가는','가능하고','가능하나','가능하다고','가능하다는','가능하시며','가능하여','가능하지만','가능할지는','가능함','가능합니다','가본','가서','가시','가야','가용','가입','가정','감지','강남구','강북','강서','강서구','같다','개소','개인','거리','거부','걱정','건지','걸릴것','걸면','결과','경기도','경로','계기','계속','계시어','계심','계통','고리','과정','광안','구간','구동','구두','구리','구미','구함','국가코드','국토부','궁내','권민수','그림','금일','기기','기다리기','기압','기존','꺼지지','꺼진다고','께서','나서','나심','나오고','나오는','나오지','나온다고','난다고','날짜','내셔널','내일','넣으시라','노즐','논현동','높이','누르기','누르면','누설','다운타임','다이나믹','닫히지','닫힘','달전','담당','당장','대구','대단히','대략','대치','도래','도중','돌리','동대문','동부','동의','동일로','동일시','동일함','동자','됐다','되는게','되다','되다가','되셔서','되셨다고','되신','되어서','되어있','되어있고','되어있는데도','되었는데','되었으나','되었을','된거','된것도','된것은','된다는','된다며','됨안내','됨으로','두시','두신','둘다','드렸습니다','드렸지만','드리겠습니다','드리나','드리지','드릴수','든다고','들어오지','들어온다','들었다','등기','등록증','디맵','따른','떨어져','뜬다','로만','로부터','리즈','리즈라','리지','링크','마스터','마장면','마지막','마찬가지','막아주어','만료','만족도','말고','말씀드리고','말씀드리니','말씀드림','맞다','맞다고','맞음','매각','매뉴얼','매우','매일','매트','먼저','멀리','메모','메인','명륜','명진님','모니터','모드','모르','모르겠','모르겠다고','모른다고','모름','모양','모트','목동','목요일','목적','목적지','무선','무조건','묵동','문구','문제','물리','물으','미디어','미러','미만','미지','밀려있어','바닥','바디','바라','바란다','바로','바바','바바라','박스','박영준','반문','반복','반영','반응','반정','받고인','받는','받아야','받아주십사','받았다고','받았다며','받으셔야','받으셨다고','받으시라','받으신','받지','발생','밟아도','방금','방안','방향','배정','버전','버젼','버튼','번길','번째','벗어나도','병행','보건','보니','보드','보시','보시길','보실','보십사','보안','보여','보여지는','보이지','보장','보조','보증','보충','보통','보호','본사','부과','부등','분과','분평동','불가능하다고','불가하다','불가하다고','불가하며','불가하여','불가합니다','불구','비교','빠른',
    '사설','사원','사진','사항','상단','상담시','상의','상이','새로','생산','서는','서면','서생면','선도','설명','성산','성수','송도','송도로','송리','쇼날','쉘사','세계','스티','시라','시어','시행','식이','신다면','신부','신승호','심지','심한','아니기에','아니며','아닌','아무','아파트','안녕','안된다고','안된다고하','안양','않게','않기에','않는다면','않다고','않았다','않았다면','않으','않을','알겠다고','알람','압구정','앞전','어떠한','어려우시다','어려울','어렵고','어렵기','어시스트','어제','언급','업무','업체','없고','없다면','없으며','없으시다','에만','에어로','여러','여줘','역할','연말','열리고','열린다고','열림','열수','열수있는','열어서','영문','영상','영업','영웅','영향','오시거나','오심','오포','오픈','올해','와서','왔는지','외관','외부','외주','용량','용산구','용인시','우측','울주군','워치','원하','위함','윈도우','유닛','유리','유선','유열','유지','으로도','으로만','음성','의정부','이고','이기범','이나','이내','이냐','이동훈','이랑','이름','이번','이시고','이신','이야기','이유','이윤지','이천시','이하','이한나','이호진','익월','인가요','인데','인터넷','인하여','인한','인해','일내에','일련번호','일부','일자','일전','일지','임의','임창현','입항','있겠냐고','있냐고','있는것','있다가','있다고하','있도록','있습니다','있어','있어야','있었고','있었는데','있었던','있으며','있으면','있으므로','있으시다','있을','있을지',
    '자료','자리','자세한','자세히','자제','자체','자택','작년','작동','작업','장규태','장성','장지동','장착','저번','적어도','전담','전면','전사유','전산','전유성','전주','전진','전차','전현재','전현재보유차량','전화번호','절차','정기','정정','제외','제작','조명진','조사','조작','조재현','종류','종현','죄송합니다','주기','주시기로','주저','중간','중랑구','중이','즐겨찾기','지능','지상','지연','지원','지하','진단','차가','차선','차안','차지','청구','체결','최승호','클릭','키로','터보','통지서','통화시','트레이','판단','평리','평소','평택','포천','포항','포항시','풍무동','플레이','플레인','피스','필요시','필요하며','필요한지','필요함','필요함을','하게','하겠','하고는','하고자','하냐고','하다고','하다하시어','하라','하려는데','하셔도','하셔야','하시는데','하시도록','하십사','하였으나','하였지만','한독','한적','합니다','해보겠다','해보시고','해보았으나','해서','해주시어','했더니','했던','행당동','행시','형식','호출','혹시','혹은','혼유','화면','황주원','회로도',
    '009975','021','047','04703','048','1212','12217','1238','1239','15000','15만원','16622','16676','16시','17096','18000','18일','20000','206','213','217','2200원','2261','2286','229','235','239','240','244','247','248','24시간','250','251','252','253','256','257','258','260','265','2654','270','273','275','276','28','280','282','287','2시','300','3506','35867','367440','3906','41','43','431','44','4460','44660','4686','469','500','50912','52시간','56','60180','6264','650','6641','67','745','76','82233','8327','835','8578','88','9055','94963','97','993','ae','al','all','am','answkqkfthd','appbmw','bafb','bdbf','bf','bhws','bv','cbbd','co','coupe','cr','dd','decfa','dee','dfa','dgrancoupe','dlm','dms','door','ea','ebb','ef','fat','fe','ff','fls','fmb','fsc','gran','heehyun','ixdrivegrancoupe','ju','lms','mgu','minicooper','mp','nkw','one','pdi','pj','poi','premium','rke','sa','standard','two','wty','가능하니','가시던','가신','각각','개패','거제시','건물','건지는','걸리는','걸린','걸린다고','걸어도','계양구','관계','관할','군데','권오준','권장','그것','그래도','그랜드','그러나','그러한','그런데도','근무','글로브','길종민','꽂아','꽂아서','꽂았으나','꽂았을','꽂으면','끊겼다','나누면','나눈','나오니','나오면서','나왔다고','난다','남편','내내','내비','넘어갈시','넣어서','네트','노출','논산시','농장','놓고','눌러졌다','눌러진','늘어났다며','다르기에','닫으','달라져','달라지며','달라질','달려','담겨있다고','담아서','데스크','도림로','도착','동구','동일하게','동호회','되면서','되시면','되어있다고','되었다며','된건데','된다시며','될지','됬다고','드려으나','드렸다','드렸더니','들어','뜨시면서','뜬다고','라는','로서','마시고','마포','만들어','만약','말고는다','말료','맞다면','맞지','맞추어','무늬','물이','미조','미치','민주','바바송','박영석','받겠다','받는다고','받으셨는데','받으셨음','받으시는','받으시려고','받을거라고','받음','배주쟁','백석동','보냈는데','보이','볼트','봤는데','부문','부의','부품','북클렛','불가능하게','불가능한','불가능한것으로','불가하다는','불가하셔서','불가할수','불가함을','불러','뽑았는데','사고나면','사과','사람','사양','사용자','사이','상무','상시','서구','서북구','서산','설비','설정','섭외','성안로','성주군','세레머니','수기사','수치','순천시','스타','승희','시내','시설','시속','시점','식사','신지','신촌','실내','실제','싫다고하','아니냐','아닌지','아무런','아직도','안내받으셨다','안되면','안되있어','안된셨고','안될수있다','안드로이','안수진','안양판교로','안전','안좋다','안함','않습니다','않으셔도','알려주세요','알아서','야간','약관','어렵다고','에서의','에선','여지','연휴','열어주시라','영등포','영등포구','영통구','오프','올라가는지','올수','왔냐고','용암면','용은','우편','울산','원하시면','원하신다','원활하지','월평동','율촌로','의왕시','의하셔서','의한','이든','이라서','이어서','이용주','이우람','이제','인도','인입함','인포','임정빈','입고','입고하시어','있나','있나요','있었다고하','있으','있으시면','있을시','있지는','자신','자주','작성','잠기','장군면','장기로','장영근','장인','장현수','재수','재차','적색','전국','절대','정동','정리','정재','제원','조금','종중','죄송하다','주변인','주셨','주셨다','주시도록','준비','중구','지점','지정','진준현','질거냐','짧아질수','차례','차종임','참조','창문','창원','채운로','채운면','책임','처음','천안시','청사','최낙','최종범','카달', '쿠폰','크기','탈거','테라','특별','특별자치시','특별한','판교로','폴더','필드','필요하신','필요해','하고있다고하','하고있다하','하남','하도록','하므로','하셨음','하신지','하였으며','하였을','하지말라고','함께','함매','해구','해논','해드렸습니다','해드리려','해드림과','해룡면','해보려','해보셨다','해운대구','해주는','핸드오버','했었다','허용','확답','황새',
    '0000','000033931680','0032060300','0077','0081','0091','00시','010','010247553','01064816','0114','013','016','0191','01월','0218','0220008286','0222447601','0226497301','025907498','0267111029','0272','027232972','0279','0286','02월','0317267301','032','0325552683','032563','0327441959','03431','0373','0382','03883','03분','040원','041','041926','0427','051','05151','053','05675','057353','05865','05년','05월','0617','0618507823','0624','0629','064','06474','0677','0686','068764','0695','06년','070','07018','0711','072239','07232','0728','074','0790','07일','0800','0802693300','08045','0807008000','08623','0865','08692','08시','09025','0911','0923','0939','09570','097570418087','0979','098','09820','09년','09시','09월','1000원','1001','1005','100만원','101','102','10240','10253','103','1033','104','10462','1049','10594','105만','106','10686','10년','10만원','10분','10시','10초','110','11000','11012','1110','1114','112','113','1135','1138','1145','116','11664','1189','119','119900','11년','11시','120만','120만원','1213','122','1223','1227','12317','12345','123456','1234567890','125','125000원','12613','1286','12시','1313','1316','13243546','1333','1350','1352','135만','135만원','1368','13951','13시','13일','140','14058','1409','141','14111','142','1430','1456','14640','14863','149','1494000원','14시','150','1508','150936807792','15278','153','1535','15386','15406','1557','1562','157472','1577','15775822','15863','15881313','159249','15분','15시','15일','1600','16000','16057','160만원','163685779660','1670','167380080667','16760','1691','16만','16일','1711','1713','177','1786','178610378312','17일','1805','181','18720','1887','18892','1896','18시','1923','19238','19472','1952','1959','196','1960','1961','19612','19648','196679698427','19716','1979888','198','1996','1997','19991','19시','19일','1만','1분','1시간','1억','1억원','2000','2004년','2005년','2006년','2007','2009년','200만원','20130','2013년','202','2022년','2024','2026','2037','20398','204','204861','206060828192','207381','2083','20863','2088','20만원','20시','20일','20초','21031','2105','21202','2122419025','2122421438','2122426080','2122431362','2122448122','2122451261','2122453520','2122453564','2122467203','2122467867','2122469209','2122475165','2122477765','2122477788','2122479287','2122481190','2122490835','2122491697','2122496789','2122502427','2122504884','2122514915','2122515128시','2122526538','2122528551','2122529928','2122530732','2122530796','2122537570','2122542070','2122543181','2122547509','2122552999','2122555691','2122562742','2122566363','2122569344','2122569359','2122572925','2122573078','2122573576','2122573618','21238','212445507928','213576601111','2139','214905661647','21768','2191','21961','21일','2222','22589','2266','2299','22일','2304','23107','2317','232','233','23376','234498183557','23480','234818','23613','236761875088','236985967671','23732','23769','23시','23일','2401','24075','2429','2435','243654','2440','2461','24684','24일','251669798836','2533','2542','25431','25489','25605','25630','257817563428','2580','258046','2585','2586','2599','25만원','25일','2601','26061428','2609','262','2634','26473','2657','266','2665','267006163105','268082062637','2686','269','2693','2695','26일','272','2726','27364','275190730833','2756','27589','27643','27일','2803','28057','281','2825','2838','28436','28498','2852','28542','28613','28700','2884','2885','28871','28일','291','29197','296','29659','297','2983','29841','298544041257','29899','29906','29일','2분','2시간','2회','30007','3001937667','300만원','30195','30453','3089','309','30만원','30분','30일','30초','310','3105','3108','311','312','31223','312676940296','313775047597','3146','316','31868','31942','31956','31999','31일','32358','323953570530','325','32578','3260','3274','328','32864','329','32927','32967','33','331','3311','3315','3326688','3344','33480','33547','33640','3370','337479922793','338718','339','34','340','342','343','3434','34385','346','34608','34784','3500','3517','3524','35291','354','3547','357','35764','360','36034','361','3613','362','3633','3637','3642','3655','366412058956','368','3693','3695','37','370','3704','371182','3712','3716','37629','3765','3769','376996','38','380','387','38718','38888','3892','38시간','39','390','39216','393773','395','39618','3963','398','39867','3990006','39940','39979','3만','3분','3천만원','3초','3회','400','401','40123','40159','4019','4019824','4031','4047','405','4050','406','40732','40786','4089','409','4091','40957','40만','40만원','40분','4102','4107','41078','411','414','4145','415','41756','417769777082','41시간','420','420595996639','420만원','424','42494209','425','4273','428','430','4305','43075','4327','435','43625','4367','436761827797864','4382','438218965393','440','442','4420','4425','4436','4441','4442','444219779900','4446','44511','447612','451','45281','456085221889','45614','4567','4568','457229094149','4598','45시간','460330793312','4617','4629','4641','466','4666','46799','46시간','4706','473','4730','4755','477','4775','478','479259964','4796','4799','47시간','48','482620657749','483','4892','489271463642','48시간','492','4943','4982','4만','4분','4시','4시간','4일','4회','5000','501','5012','503','50332','5049','505','5070','508','50만','50만원','50분','50시간','510','5108','5114','51192361668','51192365981','51192449476','5129','513','5136','5181','51시간','522788102847','5228','524','524064890556','5258','5278','529','53','5300','5335','5343','534576789690','536255','5363','5393','53972','5399','53시간','54','5432','544501','546','54만원','54시간','554116839941','555697339804','55816','5597','55만','55시간','56348','564','5656','567639','5695','57','571','579','579495778610','57시간','58','58101','5811','581587','582985','5838','584','584340470367','584913','5857','5870','58798','58시간','59','5956','5959','596','59609','59749','599771465378','59987','5등','5만원','5시간','5일','5초','5회','60','600','60128','6020','603025','604','606','60713','60만','60시간','60일','61','6101','6103','6110','611895697465','612','612932967671','6142','620','620683810861','6231','6280','6288','62시간','630','6308','631','6315','6321','634630602419','635','63568','636089','638','638623','638723338581','63시간','640','6430','643453','6445','64470','6491','64시간','650329','6506','655','6590','66','660','662986000996','66316','66326','66571','668','66시간','670617','6719','6730','6741','675','676','67647','677','67770','678648','6788','68','6800','68057','6808','681060085777','6810만원','6820','6824','68270','68360','6837','686','6863309','6887','6897','68시간','69','690006','6914','6934','6943','69605','6980','6년','6만','6시간','6일','70','702574','7029','703557','704','70577','705986976015','7087','70시간','71','7102','713','713346425036','71339','7136','7146','715','71522','7155','7187','71시간','72','7212','722','723','724','7257','728','7299','72시간','730','7301','731778839073','73375','734','7358','7371','73845','7410','7421','744','7461','7465','75','750','7501','750519','751','754','756','757','7588','758944760024','75943','7596','759733831433','760','76061867','760618767','7609','76158','76159','76191','762132','7637','766','7679','77','771','7711','772701730945','777','7770','7779','7784','78','780','7823','78449','7890','78963','79','7903','7914','793','7935','79722','7년','7만','7일','801661207199','802','8025','80291','8038','804','80423','8058','8059','8072','808459','8099','80만','80만원','81','811872','814','815','820429','821026787087','821054769265','82143','82437','825','827','828','83','830','8306','83097','8320','83465','8369','83745','838542719582','84','840','842','848','85','850725','852','85253','8539','854102194101','8546','85489','860553064273','861241','861922','8631','8694','87','8700','8707','873333','8742','87452','8767','87671','877','87794','8798','89','892','8921','89239','893','897316884607','8년','8만원','8시','8일','8천','90','9001','903','908','9095','909675','90분','90일','91','9101','910805846685','911481544967','9145','9162','91620','92','9218','921847068798','922','9248','9253','925721084648',
    '9268','93','932','935','9356','9361','9373','9375','937700321','9395','942133','94216836','9440','94464','9456','946856','947479268417','95','9511','9513','951930192988','9526','9534','9544','9581','960','9604','9604571','9622','966','9664','967','969','96956','96969','96시','97072','9719','9727','9760','9772','9788','98','98155','9825','984','9866','9873715','9887','99','99042','9937','995','99564','998','9980','9987','9997836','99년','9일','9초','aa','abs','ac','academy','acc','acd','ace','adaptiv','adaptive','advanced','adyen','aeerodynamic','aef','af','afa','aff','afu','ag','ajrwk','amx','and','ap','apple','apps','appsr','arctic','arodynamic','ars','as','asas','attachment','august','auto','azsxdc','basic','bb','bda','bdb','bdc','bde','bg','bh','bild','bis','black','bm','bmc','bmwace','bmwplus','bmwx','bnk','bo','booked','bp','bsl','build','buildyourdrive','byd','ca','caa','campaign','cancel','carbon','careye','caringcar','case','cb','cc','ccc','ccea','cdbb','cdd','center','cf','cfafeb','cg','cic','citizenship','cj','class','clft','club','cm','cns','com','comfort','competition','comport','connected','conv','convertible','cooper','cs','ct','customer','cval','cw','cy','daum','db','dbac','dbf','dcd','dcoupemsptlci','deaacedf','dealer','dfe','dgrancoupexdrive','dgrancoupexdrivespt','dgt','dh','direct','dk','dksso','dlci','dllwlswn','dn','dr','drivers','driving','ds','dsc','dsd','dsedan','dt','dtc','duration','dv','dxdrivegrancoupe','dxdrivegranturismo','dxdrivelci','dxdrivepremium','dxdrivesedannewengine','dy','eaa','ec','editionphytonic','ee','eeb','electric','ep','ergo','es','esc','esdrivelci','eur','ev','evo','ex','excellenceclub','experience','extoll','face','fastlane','fb','fbf','fbhq','fc','fdc','fgk','fh','fi','final','first','fj','for','front','full','gen','gf','gg','gk','global','gmail','gn','google','gps','grancoupe','greybmw','gted','gyrkeo','ha','hairin','herb','hi','hidh','ho','html','hts','hud','hw','ia','ic','icall','iconvertiblelci','icoupemsptlci','idrive','idrvie','ig','igrancoupe','igt','il','imht','imineral','imspt','inc','individual','inno','inspection','integration','iperformance','isdrivelci','isg','isofix','it','ix','ixdrivelci','jaa','jcw','je','jelrabi','jlb','july','jung','kb','kmj','kox','kqsb','krw','kt','lb','lcd','lcicarbon','lcidonington','ld','ldxdrive','ldxdrivelci','le','lesdrivelci','lf','lg','lhsct','li','lig','lihybrid','lkk','lmt','local','locator','login','loibiz','lounge','lpg','lr','ltr','luxury','manuel','mapped','mappedgcid','mas','mber','mdynamic','mesh','metalic','metallic','mh','mijin','min','mineral','miniace','misoul','ml','mlss','mmyy','mode','modes','move','mpa','msa','mw','mx','mybmw','name','new','newbmw','newengine','newx','nfsc','ngu','not','nt','oas','obd','oc','offerhash','offers','ol','on','online','onlineconcierge','onlinex','open','option','or','os','painting','paintwork','part','pdc','pdf','perf','performance','pkg','pm','polaris','pp','pre','prestige','proda','proe','program','prond','pronnd','psdi','qaz','qazwsx','qm','qr','qt','queue','qwe','qwer','race','rdc','real','recorder','red','replacing','rhe','rjsgo','rzbx','sac','sb','sbs','scl','sdi','sdrive','sedan','series','services','servicesusb','sf','sg','sh','shinho','shop','si','sj','sk','skt','sl','software','sol','sp','special','spoc','ss','ssid','stanislav','state','stop','store','style','sun','suspension','suv','taxi','tcb','tck','test','tf','th','the','thursday','to','touch','touringportimao','tpeg','tr','trade','ts','tuesday','turismo','uo','up','upgrade','uv','vdc','vh','view','voucher','vpn','vsc','vst','vtc','wax','wb','wbacr','wbagw','wbatb','wbatx','wbawy','wbayb','wbsjf','wbsts','wc','wcp','wcw','wdn','week','white','wi','wifi','wkorea','wmwxn','wq','wsx','ww','xd','xdlive','xdr','xdri','xh','xja','xlfk','xlinw','xr','ya','yerin','yongcheol','your','zba','zcv','zhf','zli',
    'zmp','가거나','가고','가급적','가기','가길','가까운시','가나','가는지','가능하냐','가능하냐고','가능하냐하시어','가능하다가','가능하다고안내','가능하다며','가능하도록','가능하면','가능하므로','가능하시고','가능하시나','가능하시다','가능하시다고','가능하시면','가능하신지','가능하실','가능하오나','가능하오니','가능하지는','가능한데','가능한지와','가능한한','가능할것','가능할수','가능할수도','가능할시','가능할지','가능함안내','가능해서','가능했기','가능했는데','가능했던','가보시겠다고','가셔서','가실','가실거다','가용성','가운데','가이드','가장','가져','가져가라','가져가지고','가져와놓고','가져와서','가족','가해','각자','각종','각하','간단하게','간선','간섭','간소','간유','간의','간전','간절하다고','간정','간주','간혈','갇혀있','갈거니','갈리는','갈매','갈수','감겨','감광','감사하겠습니다','감시','감싼','감전','갓길','갔는데','갔다가','갔다는','갔더니','갔으나','갔음','강남역','강대','강동','강동구','강력','강력히','강민준','강북구','강성','강성수','강성욱','강승구','강우','강제','강지연','강진','강철','강현','갖고있다고','같다는','같다라고','같다며','같다하','같습니다','같아','같아며','같은데','개념','개발','개방','개별','개얼','개월전','개입','개조','개폐','객인','갯수','갱신','거기','거나','거듭','거래','거림','거의','거절','거주지','거창','건너가야','건너야하는데','건의','건조','걸고','걸때','걸려','걸리고','걸리나','걸리냐','걸리냐고','걸리느냐고','걸리는지','걸리다','걸리되','걸리며','걸리면','걸리시지만','걸리신','걸리실수','걸리지','걸린것처럼','걸린다','걸린다며','걸린다하시어','걸릴','걸릴수','걸릴수가','걸림','걸수가','걸어','걸어주십시오','걸었다고','걸었더니','검색','검수','검정','게스트','게인','겠다','겨울','겨울철','격리','격문','격상','결국','결론','결재','결정','경과','경기','경남','경민','경북','경사유','경산시','경상남도','경서동','경원하','경인','경정','경주','경진','경포대','경현재보유차량','계곡','계셔서','계시다고','계시다며','계신다','계신다고','계실','계양','계좌','고강동','고개','고견','고려','고르게','고맙습니다','고산동','고색','고양시','고영미','고음','고재','고정','고지','고집','고차','고창','고쳐','고촌읍','고침하며','고형','고후','곡동','곤란한','골드','공간','공구','공급','공기','공동','공란','공보람','공석','공업','공용','공유','공장','공정','공제조합','공조','공통','공항대로','과거','과는','과림동','과의','과장','곽선','관등','관려','관리','관인','관임','관해','괄호','광고','광교','광산구','광역','광역시','광열','광원','광주','광주시','광진구','광철','괜찮','괜찮으시다','괴롭다고','굉장히','교대','교화','교회','구가','구경','구글리스트','구도','구로','구룡면','구리시','구매','구미동','구배','구분','구비','구성','구암동','구야','구월','구월동','구준엽','구체','구한','구형','구희','국내','국채보상로','군산','군위','군자동','군포시','궁금하다','궁금하다고','궁금하시다','궁금한','궁리','권미경','권선구','권용','권은','권정훈','권철','권하지는','권혜순','권화영','규명','규민','그거','그걸','그게','그대로','그때','그땐','그래서','그러면','그런건데','그런것','그런데','그럴','그럴수있기에','그럼','그럼에도','그렇다','그렇다고','그렇다는','그렇다면','그렇지가','그로','그린','그저께','극소','근무시간','근방','근처','금년','금사항','금액으로','금월','금전','금주','금천구','금토','금호','급하다고','급한건','긍로','긍정','기가스','기간으로','기건','기관','기는','기다리시면','기다린건데','기대하기','기만','기분','기아','기약','기어안','기억','기울어진다고','기일','기자','기장','기장읍','기재','기전','기준으로는','기타','기함','기호','기흥구','긴하니','길게','길다고','길들이기','길수','길이','길주로','김신','김해','까맣게','까지가','까지는','까지도','까지인','까지임','까진','깔려','깨져서','꺼내야','꺼낼수있는','꺼도','꺼져','꺼져있','꺼주시되','꺼주십시오','꺼지고','꺼지는','꺼지는지','꺼지며','꺼지셨다고','꺼지셨으나','꺼지진','꺼진다','꺼질수있는','꺼짐으로','꺼짐을','껐다','께서는','꼼꼼하고','꽂는지','꽂은','꽂을','꽂혀','끄고','끄고싶다고','끄기로','끄는','끄도','끄려고','끄시고','끄실수','끄지','끈후','끊긴','끊긴다고','끊어지더니','끊어진','끊어짐','끊어짐으로','끊으셨다고','끊음','끌고오니','끌수있는지','끓었다고','끝나고','끝나면','끼리','끼어있을','끼었을','끼우면',
    '끼인것인지','나가게','나가나','나가신다고','나간','나간다고','나갈','나갔다','나갔다고','나갔음','나누','나누셔야','나누셨고','나누시거나','나누시는','나누시라','나누신','나누실수있는','나누어','나누어주십사','나누었는데','나눠주셔','나눠주시길','나눠주십사','나눠지는지','나는것','나는지','나로','나름','나머지','나며','나면','나비','나쁘게','나셔서','나신','나아진다는','나연','나오기','나오는데','나오면','나오셨다고','나오신다면','나오지만','나온','나온다','나온다며','나온다면','나온다하','나올거','나올지','나와있어','나와있으니','나왔','나왔는데','나왔다','나우','나은','나이스','나중','나지','나타','나타나','나타나고','나타나는','나타나며','나타난','나타난다','나타날까봐','나타남','나타났다며','나하','난뒤','난방','날로','날씨','날아가서','날인','남가좌동','남겨','남겼지만','남동','남동구','남로','남부','남아있는','남아있는데','남아있다고','남아있다면','남아있어서','남아있으나','남아있을','남아있음','남았는지','남았다','남았다고','남으','남은','남음','남자','남자친구','남지','남진','납득','납부','났기','났는데','났다','났다고','났으나','났을','낭함','낮다고','낮다는','낮습니다','낮은','낮음','낮춘','낮출','낮춰','내년','내도와','내려','내려간','내려간다며','내려갔다고','내려갔도','내려앉아','내려앉았다는','내려온','내려와','내려왔다고','내륙','내며','내셔','내시','내장','내줘야','내줬는데','내한','냄새','냈다','냉각','냉각휀','냉매','냉방','너른','넉넉하게','넘게','넘도록','넘버','넘어','넘어가지','넘어가질','넘어오는','넘어지며','넘었는데','넘었다는','넘으','넘은','넘을','넘지','넘친다고','넣게','넣고','넣어','넣어도','넣어야하는지','넣었는데','넣으니까','넣으라는','넣으면','넣으셨다고','넣을','넣을라고','넣을수','넣음','넣지','네이버','네이티','녁식','노경태','노랑','노면','노블','노원','노원구','노트북','노하우','노해로','놀러','높다','높다며','높았던','높여서','높으며','높을시','높이는','놓겠다','놓기','놓으면','놓으시고','놓은','놓지','놔두었었다','누가','누구','누르','누르거나','누르고','누르고있어도','누르는데','누르니','누르셔도','누르시라','누르시면','누른','누를시','누유','눌러도','눌러주셔야','눌러주시면','눌러주십시오','눌러지지','눌렀','눌렀는데도','눌렀는지','뉴스','느껴','느껴진다고','느낌표','느려진','는걸','늘리시는건','늘어났다','늘어서','늘어진','능문','능평리','늦어진','늦어질수','늦어질시','늦은','늦은것으로','늦을것','니케','님인입','닝안','다가갔다','다가오는','다급하게','다녀오셨다','다녀온','다닌다','다드','다라','다량','다르다','다르다고','다르다며','다르지만','다른사람','다를','다름','다면','다방면','다소','다수','다시어','다신다고','다이하츠','다코타','닦아','단기','단독','단선','단순','단순히','단원구','단위','단자','단지','단축','닫고','닫는','닫으면','닫으면서','닫은','닫을','닫을시에도','닫혀있을','닫혀있지','닫혔다가','닫혔을','닫히','닫히는','닫히는지','닫히셨다고','닫히지도','닫힌다고','달구벌대로','달라져서','달라졌을','달라지고','달라진다','달라질수','달라하시어','달려있다','달려주신','달렸는데도','달리','달리는데','달서구','달에','달이','당겨','당겨도','당겨주시길','당겨주십사','당겨지거나','당기는','당기면','당분간','당일','당했다','당했다고','당혹스러','닿는','대가','대고','대교','대구시','대금','대기','대는','대답','대도','대동','대뜸','대를','대리','대만','대면','대방','대부분','대수','대윤','대응','대의','대학','대한민국','더욱','더있다며','더함','덕계동','덕금로','덕산','덕산면','덕평','던지','덜림','도경','도곡','도곡로','도나','도라고만','도록','도무지','도봉구','도산대로','도상','도시','도안','도의','도확인','독립','독방','돌려','돌리가','돌리고','돌리면','돌릴','돌아간다','돌아간다고','돌아감을','돌아갔는데','돌았는데도','동거','동그라미','동그란','동기','동기화','동대문구','동래구','동력','동문','동승','동아','동안','동안구','동양','동욱','동운','동읍','동이','동일하','동일하다','동일하다고하시어','동일하다면','동일하면','동일하시거나','동일하시면','동일하여','동일한','동일한다','동일한지','동일할','동일해야','동일했다','동작','동작구','동점','동차','동치','동키','동탄','동하','동해','동행','동훈','됐는데','됐다고','됐으나','되게','되게끔','되겠냐','되겠느냐','되고나서','되고있고','되고있기','되고있는','되고있는데','되고있다','되고있으며','되고있음','되고있지','되기','되기까지','되기로','되기에','되긴','되길','되냐','되냐고','되냐시어','되냐하','되느냐','되느냐고','되는거기','되는거냐','되는거라고','되는건','되는것','되는것으로','되는것이고','되는것인','되는대로','되는데','되는데까지','되는데로','되는지를','되니','되다는','되더니','되더라도','되던','되도록','되돌아와','되서','되셔셔','되셨다가','되셨다면','되시고','되시는거라','되시는지','되시며','되시어','되실','되실수','되야','되어야만',
    '되어있는것으로','되어있는데','되어있다','되어있다고하','되어있다면','되어있어','되어있었으나','되어있으','되어있으나','되어있으시며','되었기','되었느냐고','되었다가','되었다고하','되었다면','되었다하','되었다하시어','되었던','되었었다고','되었었던','되었으','되었으며','되었으므로','되었을수도','되오니','되있는','되있음','되지는','되진','된건','된것','된것으로','된것인','된것처럼','된게','된다고하','된다셔서','된다하','된다하여','된지','될것','될것이라고','될게','될수있기에','될수있는','될수있다','될수있다면','될수있도록','될수있으며','될수있음','될시','됨도','됨에','됨을안내','됨이라고','두기','두면','두셔야','두셨다가','두셨다고','두었던','두현','둔산','둔산동','둘러본다고하','뒤즘','뒤쪽','뒷쪽','드려야','드렸고','드렸다고','드렸다고하','드렸던','드렸을시','드렸음','드렸음에도','드리','드리겠','드리겠고','드리겠으나','드리겠으며','드리고있는','드리고있다','드리고있음','드리고자','드리긴','드리는것은','드리던','드리도록','드리라고','드리려고','드리려니','드리수','드린다안','드린다안내','드릴수는','드릴수있는','드센','듣고','듣기','들께','들께서','들도','들떠서','들리','들리고','들리지','들린다','들린다고','들림','들만의','들어가','들어가는','들어가는데','들어가니','들어가서','들어가지','들어간다며','들어갈거라고','들어감','들어갔는데','들어갔을','들어오고있어서','들어오는','들어오는것은','들어오는게','들어오는지','들어오는지는','들어온','들어온다고','들어온다며','들어올','들어올거라','들어옴','들어와','들어와있다','들어왔고','들어왔는데','들어왔는지','들어왔다','들어왔다고','들어왔다며','들어왔었는데','들어왔었다','들어왔으나','들어왔을','들었는데','들었다고','들었다고하','들었다하','들었었는데','들에','들으셨다고','들은','듯함','등등','등로증','등록된','등록세','등록완료','등록확인','따라서','때리는','때우는거','떄문','떠나','떠있다고','떤다','떨림과','떨림까지','떨림도','떨어뜨리듯이','떨어져서','떨어져있다고','떨어져있어','떨어졌다고','떨어졌을','떨어지는','떨어지는데','떨어지면','떨어진거','떳다','떴는데','떴다가','똑같은','똑같이',
    '뜨거운것이','뜨겁다고','뜨고','뜨는','뜨며','뜨셔서','뜨지','뜬다며','띄울수있는지','라도','라며','라서','라운드','라운지','라이','라인','라인업','락볼트','랜덤','랜드','러스앱','러시','런스','런트','런티','레스트','레이스','레이지','레코','레크','렌스','로는','로드','로라','로스','로우','로직','로컬','로크','로텔레','록스','록은','론칭되','론칭하','룸여','리나','리뉴얼','리다','리더','리드','리모','리버','리벳','리심','리즈까지만','리즈도','리즈라고','리즈라고하심','리즈라고함','리즈라함','리즈랑','리즈로','리즈로는','리즈를','리즈만','리즈사유','리즈에서','리즈이상','리즈인데','리즈중에','리즈차종이라심','리즈투어링','리즈하고함','리츠','리코','리해','린다','마감','마곡','마다','마련','마름모','마모','마세요','마십시오라는','마을','마전','마치','마친','마크','마터스','마트','막대','막상','막아주다','만기','만난다','만들기','만들어진','만에','만으로','만으로도','만을','만의','만졌다고','만큼','많냐고','많다며','많아','많아서','많은것','많은지','많음','말경','말고는','말고도','말씀드렸으나','말씀드리긴','말씀드리며','말씀드리자','말씀드린','말씀드릴','말씀드릴수','말안','말에','말일','말지급예정안내','말함','맑은','맔씀','망로','망일','맞게','맞냐','맞는','맞는다고','맞는데','맞는수치를','맞는지는','맞는지만','맞다고하','맞다안내','맞습니다','맞아','맞으나','맞으며','맞으면','맞으시고','맞으시다면','맞으시며','맞을까요','맞지만','맞추고','맞추는것이','맞추라고','맞추지','맞춘','맞춰','맞춰서','맞췄는데','맡겼다가','맡기고','맡긴','맡아서','매니져','매니지먼트','매달','매번','매시에만','매월','매직','매칭','매하','맥스','맵핑','맵핑되어','머니','머니가','머플러','먹고','먹는다','먹통','먼데','먼지','멀고','멀다시며','멈추','멈추고','멈추셨다','멈추었다','멈춘다고','멈춤으로','멈춤이라','멈춤전','멈춰있다고','멈췄','멈췄고','멈췄다고','메시','메지','메카','며칠','면서','명성','명시','명확하지','모르겠다','모르겠다며','모르겠음','모르고','모르는','모르는거면','모르시는','모르시며','모른다','모른다하','모수','모시','모아','모카','모토라드','목금','목도','목동서로','몰딩','몰라','몰렸을','몰은','못마','몽블랑','무거','무관','무리하게','무산','무성','무슨','무엇','무예','무용지물','무제한','무책임한','무한','문고','문도','문수','문으','문읭','문학동','묻고는','묻는','물건','물금읍','물려','물려서','물류','물어보겠다며','물어보니까','물어보시겠다고','물어보시는걸','물어봄','물어봐주시길','물으니','물체','물품','뭉늬','뭐라고','미결','미고','미국','미기','미끄럽지','미네랄','미러링','미맵핑','미반','미사대로','미세하게','미수신','미숙','미연','미장','미적','미지근한','미진','미착','미추홀','미치는','미칠수있는','미필','민동성','민세','민세훈','민정','민택기','민혁','민호','믿고','믿어도','밀려서','밀리는','밀어','밀어서','및차종','바깥','바꾸','바꾸라고','바꾸려고','바꾸려고하는데','바꾸셨다','바꾸셨다고','바꾸시고','바꿔','바꿨음','바뀌는','바뀌며','바뀌면서','바뀌어','바뀐','바뀐다며','바딘','바라며','바라신다','바란다고하','바로가기','바비','바빠서','바쁘','바쁘신','바이너리','박경진','박근영','박기운','박동','박미라','박상','박서준','박선영','박성은','박성호','박성화','박아','박원일','박은지','박재민','박재현','박재형','박준','박지선','박지환','박진환','박천','밖에','반납','반도체','반동','반병철','반송동','반영은','반증','반환','받고난','받고싶다고','받기','받길','받는걸','받는대로','받는데','받는지','받도록','받아도','받아서','받아주셔야','받아주시고','받아주시길','받아주시면','받았','받았고','받았다하','받았습니다','받았었는데','받았었다고','받았으나','받았음','받았지만','받으니','받으라','받으라는','받으러','받으려면','받으셔','받으셔도','받으셨고','받으셨는지','받으셨다며','받으셨다하','받으셨다하시어','받으시게','받으시고','받으시길','받으시나','받으시더니','받으시도록','받으시어','받으실','받으실수','받으실수있음','받은지','받을수','받을수는','받을수있','받을수있는','받을수있는지','받을수있음','받이','받자마자','밟고','밟아','밟았을','밟으면','밟으시라','밟을','밟을시','밟지','방로','방문객','방병섭','방산','방승','배고은','배지훈','밸리''버린다고','버림','버즈','버터','번거로우시겠지만','번거로우시더라도','번만','번지','번질','번해도','벌써','범물동','변우진','변화','별개','별다른','별로','병제','보거나','보겠다','보겠습니다','보겠으나','보고싶다고','보고싶다고하','보급','보길','보나','보내십사','보내주기로','보내주셔도','보내주시기로','보내주시면','보내주신','보내진','보낸','보낸것이라며','보낸게','보낸다고','보낼테니','보냄','보냈으나','보는','보는데','보단','보도록','보려','보려고','보려는데','보령시','보면','보셔서','보셔야','보셨다','보셨다고','보셨다며','보셨으나','보셨으며','보시거나','보시겠다고','보시겠다하여','보시기','보시도록','보신','보신다','보신다고','보실수','보실수있는','보아','보았으나','보았지만','보여져','보여져야','보여지고','보여지는데','보여지지','보여지지는','보여진다','보여진다고','보였고','보이는','보이는데','보인','보인다','보인다고','보인다면','보인다하셔서','보조장','복사','본건','본래','본에서','본으로만은','본을','볼수','볼수는','봉승','봉양면','봐도','봐야','봐주면','봐주시고','봤다','봤더니','봤으나','뵙겠습니다','부가','부근','부는','부당하다','부득이','부딪히는','부러졌다','부러졌다고','부러지느냐','부르긴','부르려고','부르면','부르셔서','부르셨으나','부르시겠다고','부사','부산시','부소','부여','부여군','부장','부재시','부적','부제','부족하다고','부족하여','부족한','부차','부착','부처','부천시','부탁드렸는데','부탁드리겠습니다','부탁드리고','부탁드린','부탁드린다고','부턴','부풀어','부호로','북구','북부','분경','분당','분들','분있어서','분통','불가능하셔','불가능한게','불가능함을','불가하','불가하고','불가하나','불가하냐','불가하냐고','불가하니','불가하다고안내','불가하다면','불가하면','불가하시다','불가하시다면','불가하신','불가하실','불가할','불가할수있는','불가해서','불가했다고','불러내고','불러오','불러오지','불러와','불로','불분명','불스','불안하','불안하다','불안하다고','불안하다며','불안하다면','불안하시다고','불안하시다며','불안하실','불안해하셔서','불편하다고','불편하다며','불편하시다면은','불편하시더라도','불필요한','불필요할','붙는','붙어서','브라','브래이','브렌','브리다','비가용','비만','비슷하게','비슷한','비어있음','비엘','비엠더블유','비올','비용','비웠다','비음','비정','비조','비쥬','비해','비히','빅스','빈번','빈번히','빠른시','빠를','빠져서','빠졌','빠졌다','빠지는','빠지는데','빠지지','빠진','빠진것에','빠진다고','빨간','빨갛게','빨리','빼놓고','빼면','빼저','뺐은','뻑뻑','뻔했다고','뽑기','뽑아','뽑아도','뽑았다고','뽑을','뽑히셨다고','뽑히지','뿌드득','사가','사나','사는','사라졌','사라졌고','사라졌다','사라졌다고','사라지고','사라지는','사라지는것으로','사라지면','사라지셨다고','사라지지','사라진','사랑','사리','사무소','사별','사비','사상로','사신','사안','사열','사오','사오니','사와','사은','사의','사이에','사인','사일런','사전','사제품','사출','사합니다','사회','사흘','삭재','산남로','산미','산본동','산정','산하','산화','삼가주시고','삼성','삼성동','삼천리','상가','상고','상관','상관없고','상관없다고','상관없이','상당히','상대','상대방','상도','상승','상아','상암로','상위','상임','상주','상진','새로운','새롭게','새실로','새워','색상','색생','생각','생겨','생겼다며','생기','생기는','생기는게','생기실','생기지','생긴것','생길시','생길시에만','생시','서도','서라운드','서리','서에','서영훈','서울시','서울역','서울특별시','서준용','서쪽','서행','서호','서훌읍','선교','선릉로','선문','선반','선수촌','선쉐','선운','선점',
    '선점시','선하','선행','선호','설득','설안내','설인','설재','설치하셔서','성과','성기사','성남대로','성시간','성용','성으로','성이니','성인','성종','성직','성철','성하는','성하여','성하지','성하지말고','성합니다','성현','세게','세러','세시','세우고','세운','세울수가','세워져','세제','세종','세종시','세척','세트','센서','센턴','센턴로','센텀남','센텀시티','셋째','셋팅','셋팅되어','셋팅해','셔틀','셧다','소가','소개','소관','소나','소라','소량','소문','소보원','소수','소식','소유','소유자','소통','소흘','속초','손동현','손민정','손상','손실','손영','손톱','솔드','솔드아웃','송부해','송석우','송송','송승민','송영','송인','송장','송파구','송풍','송하정','송해','쇳소리','쇼룸있는','쇼륨','수기','수단','수도','수량','수령','수로','수리','수석','수성','수성구','수송','수수료','수시','수시로','수암동','수원','수원시','수임','수자','수정구','수지구','수현','숙기','순수','순정','순환로','숭의','숭의동','쉬스','스러','스미스','스탑','스태','스파','스펜셔','슬롯미','슬롯없음','슬림','슬림모드후','습득','승객','승만','승아','승은','승혜','시급','시로','시마','시문','시불','시브','시스턴','시안','시엔','시원하지','시작되는점','시청','시켜놓으라며','시키기','시키는','시키는것이고','시키라는','시키지','시트','시티','시티즌','시행일','시흥대로','시흥동','시흥시','식부산역에','식에','식은','식의','식이라','식이라고','식이라심','식이지만','식인','식입니다','식차량','식차량이라하시어','식히기','신건','신경','신다고','신다고하시어','신다음','신다하여','신당동','신동욱','신랑','신뢰','신발','신범철','신성만','신용준','신용철','신인철','신장','신주희','신차','신찬','신천동','신한','신혁','신형','실려있는것도','실시','실시간','실장','실하여','싫다','심건우','심경수','심규남','심문','심사','심은','심하게','심하다','심하다고','심하다고하시어','심하시다','심함','심해','심해서','싶다','싶다셔서','싶다하','싶지','써서','써있는','써있는데','쏠린다','쏠린다고','쓰고','쓰리','쓰지','쓰질','쓸면','씌워진','아는','아는게','아니냐고','아니냐며','아니니','아니다','아니더라도','아니라면','아니라서','아니면','아니므로','아니시고','아니시기','아니시라','아니시라고','아니시라면','아니아','아니어서','아니였다면','아니였다시며','아니오','아니지만','아닌데','아닐','아닐시','아닐지','아님안내','아님으로','아님을','아라','아랫쪽','아루아','아무래도','아무리','아산','아산시','아셨다','아쉽게도','아쉽지만','아암대로','아예','아이파크','아주','악세','악셀을','안과','안꺼지고','안나는데','안내받고','안내받아','안내받았','안내받았다','안내받으','안내받으셨는데','안내받으셨다고','안내받으셨다면','안내받으시긴','안내받으시라','안내받으신','안내받으실수있는','안내받으십사','안내받음','안내을','안되고있다','안되고있어서','안되기','안되냐','안되냐고','안되는거라서','안되는지','안되니','안되므로','안되시고','안되시는','안되시는건','안되시면','안되시어','안되실','안되어서','안되어있고','안되어있다','안되었','안되었는데','안되었다','안되었다고','안되었다며','안되었다하','안되었으며','안되었음','안된','안된것에','안된것으로','안된다는','안된다라','안된다며','안된다면','안된다시며','안된다하','안된다하여','안될','안될수','안될수도','안될수있는','안될수있다고','안될시','안될지도','안됨에','안됨으로','안드로','안리','안보','안선영','안성','안성욱','안압시','안양시','안에','안오게끔','안오는지만','안은','안일한','안좋아','안진','안쪽','안치','안하','안해','안확','앉았','앉으','앉음','않겠냐고','않고있다','않기','않냐','않냐고','않느냐고','않는다는','않는다며','않는다하','않는다하시어','않는데','않다','않다는','않다하','않더라고','않아도','않아서','않았','않았거나','않았고','않았기','않았기에','않았냐고','않았는데도','않았는지','않았다는','않았다라고','않았습니다','않았었다고','않았으나','않았으므로','않으니','않으려고','않으면','않으므로','않으셨다고','않으셨다면','않으시다','않은건','않은지','않을까','않지만','알것','알겠다','알겠다고하','알겠다며','알겠다하시며','알고계시다','알고싶다','알고있는데','알고있다','알고있다고','알고있어도','알고있으나','알고자','알기','알기로','알내해','알려주는건데','알려주시면','알려주시어','알려줘도','알림','알맞게','알수','알수가','알아보고','알아보니','알아보신다','알아봐야','알아야','알았는데','알았다면','알파','알파벳''압도','앞당기기','앞당길','앞두고','앞둔','애드','액수','앱내','야차','야하냐','야하는','야하는것','야하며','야한다','야한다고','야한다고는','야할','야할것','야함안내','야함을','야해','약간','약시','약자','약재','약제','약차','약하게','약하셔','양경','양동','양식','양양','양주시','양천구','양해구','양해안','얘기','어덯','어도','어둡게','어떡하느냐','어떤거','어러','어려우','어려우나','어려우며','어려우셔서','어려우시고','어려우시나','어려우시며','어려우신','어려우실수','어려운신','어려운지','어려울수','어려울수도','어려울수있는','어려울수있음','어려울시','어려웠을','어렵게','어렵다','어렵다고하','어렵다는','어렵다면','어렵다하','어렵다하시어','어렵단','어번','언스','언어','언제나','얼굴','얼마나','엄수','엄청','업는','업소','업함','없게끔','없기','없기에','없냐','없냐고','없냐시어','없냐하','없느냐','없느냐고','없는데','없는지','없는지요','없다고하','없다고하시어','없다는','없다라는','없다시며','없다하','없습니다','없어서','없어야','없어졌다고','없어지고','없어진다고','없었기','없었다가','없었다고','없었습니다','없으나','없으면','없으므로','없으셨다','없으시','없으시고','없으시기','없으시다면','없으시면','없을','없을수있음','없을시','없을지','없지만','에게도','에게로','에나','에두','에드','에디','에라도','에러','에서야','에의','엑스','엠스','여건','여기','여니','여량','여러가지','여서','여수','여야','여유','여의대방로','여전히',
    '여주었으나','여직원','여진','여쭈','여쭈었으나','여쭙자','여태껏','역곡','역시','역전','연간','연건','연결하거나','연결하기','연결하는','연결하는데','연결하려는데','연결하면','연결하시고','연결하지','연결할','연결합니다','연결해','연결해서','연결해주십사','연령','연산동','연석','연속','연우','연제구','연철','열고','열도','열려있고','열렸다가','열렸다고','열리','열리는데','열리셨다하여','열리지도','열리지만','열린','열린것은','열린다','열린다며','열린다하','열린다하시어','열릴지는','열림으로도','열림을','열면','열수있음','열시','열어','열어야','열어주십사','열었다','열었다고','열었으나','열었을','열은','염두','였다','였다고','영동','영석','영업소','영역','영점','영주','영주시','영채','영화','영희','예비','예상','예외','예전','예천','예천동','오게','오고있다','오기','오길','오냐','오는','오는대로','오는데','오는지','오늘이','오류로','오르는','오상','오세민','오셔','오셔야','오셨다하','오수근','오시','오시는지','오신다','오신다고','오신다며','오신다하','오안','오일도','오재혁','오정욱','오지영','오직','오창우님','오포읍','오피스텔','옥형','온것','온다','온다고','온다고하','온다며','올라가고','올라가는','올라가지','올라간','올라감','올라갔','올라갔다고','올라오지','올라온다','올라온다고','올라왔으며','올려','올려놓기','올려놓은','올려서','올리는','올리버','올리브','올릴''옮겨','옴겨보심','와는','와도','완보','완전','완전히','완충','왔는데','왔다고','왔다며','왔다하','왔었는데','왔었다','왜관읍','외한','왼쪽','요구','요금','요안','요일','요청하시어','욕설','용동','용시','용이','용인','용제','용품','용하여','용한','우대','우려','우리','우방','우송','우정훈','운명','운정','운정동','운항','운행','울렸다','울리고','울린다고','움직','웃콜','웃함','워드','워셔액넣어야헤','원래','원상','원안','원인','원치않으','원하는','원하는데','원하셔서','원하시는','원하시어','원하시지만','원하신다고','원하신다면','원하신다하여','원하여','원하지','원한','원한다','원한다고','원한다고하','원할시','원할시면','원함','원해서','원해서였','원했던','원했지만','원활','원활하게','원활한','원활히','월지','월초','월화','위건','위드','유경현','유관','유구','유나','유동','유두환','유량','유림','유림로','유무','유방','유성구','유성진','유수원','유승','유시','유아','유아름','유영선','유예','유용','유의','유일','유정','유주','유태','유태영','유한','유희','육보','육안','윤경완','윤동환','윤봉','윤상','윤상민','윤성민','윤수','윤여준','윤진','율과','으로는','으로의','으론','은로','읊어','음극','응답','의구','의도','의령군','의뢰','의문','의미','의사','의성군','의주','의하거나','의하시나','의하시어','의함','이가원','이건','이곡동','이규','이규일','이노','이니','이대형','이동규','이동안','이동용','이동해','이드','이따가','이라는','이라도','이라든지','이라하','이러한','이런','이럼에도','이렇게','이레','이루어지고','이루어지지','이뤄','이뤄지지','이면','이문수','이므로','이민규','이민용','이브','이상봉','이상석','이상엽','이상은','이상일','이상하다','이상하다고','이상한','이성근','이성일','이셔서','이수원','이순재','이스트','이승현','이아','이안','이야','이어','이어질수','이얼','이었고','이었다고','이었으나','이었으므로','이엠','이영우','이영은','이오나','이용권','이용도','이용만','이용문','이용자','이용희','이우','이원우','이은경','이은호','이의','이이','이임','이장원','이재근','이재용','이재학','이전으로','이정무','이정영','이정우','이정은','이종률','이종욱','이주','이주원','이준','이준봉','이준석','이준성','이준호','이중','이지','이지만','이지형','이지혜','이지훈','이진호','이차','이창훈','이창희','이천','이촌','이충욱','이충현','이치','이태규','이태성','이틀','이편한세상','이하로','이함','이해','이향','이혜진','이호성','이호승','이호영','이후생산','익산','익스','인가','인걸','인것','인구항','인데도','인디','인디오','인승','인시','인식','인점','인점을','인주대로','인치','인텐','인폼','인함','인해서','인했었는데','인호','인후','일괄','일구','일드','일락','일로','일만','일미','일산동구','일수','일월','일이','일익','일일이','일출','일치','읽어주는','임광','임규','임비','임을','임종','임주환','임지호','임채효','임효선','입건','입고까지','입고까지만','입고와','입되','입위','입장','입재','입처','입하','입하려고','잇는건','잇는게','잇는지','잇다','있게끔','있겠다','있겠습니다','있기','있기도','있기에','있긴한데','있나고','있냐','있느냐','있는건','있는걸','있는것으로','있는데도','있는줄','있는지는','있다는','있다며','있다하','있다하면','있더라도','있던','있아','있어도','있었는지','있었다며','있었으나','있었을','있었음','있으셔서','있으시고','있으시나','있으시냐','있으실','있을거라고','있을수','있을지는','있음에도','있지만','있진','잊고','잊어버렸다고','잊어서','자기','자로','자마자','자세한건','자식','자안','자운영','자율','자임','자재안내','작로','작시','작은','잠갔','잠기게끔','잠길','잠길수','잠깐','잠시''잠정','잡아','잡아주시길','잡았는데','잡으려고','잡으면','잡으신','잡으십시오','잡음','잡혀있지',
    '잡혔다','잡히는게','장규','장내','장로','장문','장민경','장소','장수동','장승현','장시','장안''장운','장윤서','장이','장재','장정수','장종','장진','장진아','장현진','잦게','잦았다고','재경','재구','재민','재봉','재세','재안내','재연','재접','재주','재준','재직','재하면','재해','저가','적어','적어서','적은','적절한','적정','적혀','적혀있','적혀있다고','적혀있다하시어','적혀있으','적혀져','전가','전건','전날','전라','전문','전반','전번','전봉','전부터','전세계','전수진','전에','전은경','전이','전이라고하심','전일','전임','전전','전제','전쯤사유','전쯤현재보유차량','전체','전해','전혀','전현정','전호','전화통화','전화하고','전화하기','전화하니','전화하라고','전화하셔도','전화하셔야하는지','전화하여','전화해','전화해서','전화했더니','전후','점끝','점멸','점안','점장님','접수건','접었다','접은','접지','접히는','접히지','접힘','정건영','정검','정경','정곡면','정국','정규','정균','정근','정당','정도있다가','정말','정미','정변','정병주','정병준','정비사','정상인','정상현','정석','정선','정성진','정승교','정식','정신','정안','정영균','정영희','정오','정이','정재용','정점','정종욱','정종필','정종환','정주','정지원',
    '정진','정진규','정진우','정철','정해','정해져서','정해져있고','정해져있는','정해져있어','정해졌을지','정해진','정행','정현','정현구','정현석','정형','정홍','정확','정확하나','정확한건','정확히','정훈','정희','젖는다','젖어있는','젖혀진','제기','제기로','제대로','제시','제안','제인','제일','젝션','져에게','졌으나','조건문','조경식','조계','조명도','조민석','조민혁','조병','조상','조양동','조연서','조영석','조영훈','조원희','조정','조준형','조차','조창','조치건','조카','조합','조해','조호연','존재','존함','좀더','종결','종로','종로구','종별','종씨','종암동','종은','종인','종합','좋겠는데','좋겠다','좋고','좋긴','좋다고','좋을것','좋지','좋지못한','죄송','죄송하오며','주가','주간','주겠다','주겠다고','주고','주기되','주냐고','주는데','주는지','주도','주된','주로','주면','주민','주변','주셔','주셨고','주셨는데','주셨는데요','주셨다고','주셨던거고','주셨으나','주셨으며','주소지','주시거나','주시겠다','주시겠다고','주시는것이라면','주시더라도','주시어하나의',
    '주식회사','주신다며','주신다면','주실','주실것','주실수있는','주안로','주어','주요','주원','주의','주인','주임','주장','주전','주정','주중','주지','주현','주환','죽도','죽전리','준건','준다','준다고','준희','줄수','줄어들면','줄여주십시오','줄으','줄이는','줄이시는','중대로','중도','중동','중복','중부대로','중빈','중순','중요','중인','중임','중지','줘야지','줬냐고','줬다','줬다고','증가','증명','증정','증진','지급대상인데','지급됨을','지급시','지나','지나가신다','지나고','지나면','지나서','지나서로','지나셨기','지남','지났는데','지났다고','지났다면','지났지만','지는지','지랑','지선','지시','지심','지엇으','지오','지은혜','지을','지인','지지','지지도','지코','지퍼','직결','직전','직통','진경','진영읍','진욱','진자','진장','진천군','진통','집니다','집앞','집요하신지라','짧을','째인데','쯤현재보유차량','찍어서','찍혀','찢어져있는데','차남','차냐','차는','차뒤','차라','차랴','차랻','차령','차로','차만','차보','차서','차신','차이냐고','차이는','차일','차장','차질','차후'
    '착건','착물','착용','착하여','찬걸','찰찰','참고시','참여','참하여','찼다고','창로','창민','창연','창천','찾고','찾아','찾아가는','찾아보겠다고하','찾아보던','찾아서','찾아오셨다고','찾아왔는데','찾아주시길','찾아줄수','찾았다','찾으','찾으라고','찾으러','찾으면','찾으셔','찾으셔서','찾으셨','찾으셨다','찾음','찾지','채영기','채우셨는데','채워져','처럼','처분','처져있다','천리안','천무','천복','천이','천천히','첫째','쳐는','쳐도','초기','초량동','초록','초창','촉구','촌리','최갑철','최고','최광','최대한','최돈모','최돈무','최선','최성민','최성일','최소','최시훈','최신','최영선','최영용','최우영','최은경','최재현','최저','최적화','최정','최종찬','최종훈','최준원','최창훈','추로고','추석','추정','축구','출가','출로','출발','출을','출하','충분','충분하다','충분하다는','충분하더라도','충분한','충분한지','충분함','충족','취중','취합후','치가','치대','치도','치연','치우치는','치차','친구','친형','칠곡군','칭함','카돈'
    '카키','카폰','커뮤','컨트럴','컨트리','컬럼','케이','켜고','켜기','켜는','켜면','켜자마자','켜져','켜져있다고','켜져있지','켜지면서','켜지지','켜진','켜짐','켤수','켰을','코리아','코멘트','코인되어','코인되었다','코인이라고','코인이외','콘키','콜다','콜웃','크게','크럽','크롤','클루','키내','키도','키로가','키온','킬로','타고','타고다니지','타고있다고','타는','타운','타워','타임','타입문','탁송','탈거가','탈거하거나','탔던','태권','태백','태식','태씨','태완','태정','터리','터지는','터팩','털키','테리어','테트','텐셔','텐셔너','토대','토로','통보','통상','통운','통일','통일로','통지','통풍','퇴계로','튀어','특수','특정','특징','튼을','틀리고','틀리는','틀린','틀어지는','티리','티비','티스','티팩','팅샾','파란','파란색','파스','판이','팔고','패널','패턴','퍼스트','페루','페셔널','페인',
    '페티','편하다고','편한','펼친','평동','평생','풀고된','풀려','풀리기','풀리면서','풀린','풀린다','풀어','풀어야','품목','풍구','풍량조정','프런트','프렌드''프로즌','프론트','플런스','플로','피드백','피로','피리','필수','필수안내','필요없으니','필요없이','필요하겠으나','필요하나','필요하다고','필요하다는','필요하다면','필요하면','필요하시다면','필요하시면','필요하실거다','필요하여','필요한다고','필요한데','필요할','필요할수','필요할수있는','필요함에','필요합니다','하겠다며','하겠습니다','하겠으나','하겠음','하고나서','하고도','하고싶','하고싶다','하고싶다는','하고싶은데','하고있는','하고있는지','하고있다면','하고있음','하기건','하기까지','하기로','하기에','하기엔','하긴','하냐','하냐며','하느냐고','하느라','하는거라','하는건','하는것','하는것에','하는것은','하는게','하는대로','하는데까지','하니까','하닌','하다가','하대원동','하더라도','하던','하던데','하드','하든지','하러','하려고하는데','하려는','하려니','하려면','하려하는데','하루','하만','하반기','하세요','하셨','하셨고','하셨는데도','하셨는지','하셨다고하','하셨다며','하셨다하','하셨다하셔서','하셨다하시어','하셨던','하셨어야','하셨으나','하셨을거라','하셨음에도','하셨지만','하시','하시겠다','하시겠다고','하시겠다며','하시고싶다','하시기','하시길','하시나','하시는것이며','하시는게','하시니','하시다','하시다가','하시다고','하시던','하시려','하시려고','하시려는','하시려는데','하시려면','하시었으나','하시지','하신거','하신게','하신다고하','하신다면','하신다하고','하신다하여',
    '하실려','하실려는데','하실수있고','하십','하십시오','하얀','하여도','하여진주','하였는데','하였다고','하였다면','하였다하','하였던','하였음','하우스','하이','하자','하지만','하지면','하차','하태훈','하헌','학인','한개','한거라며','한것으로','한계','한국어','한남','한다고하','한다는','한다라는','한다리길','한다며','한다면','한다인','한동석','한동안','한두','한미','한상태','한솔동','한에서','한우','한자리','한재덕','한전','한정','한참','한층','한하여','할거','할거고','할거냐고','할거라며','할것','할부','할수','할수가','할수있는','할수있는거라고','할수있는지','할수있다고','할수있었던','할시','할지','할지를','함계신','함바','함윤교','합천군','핫라인','핫메일','해놓겠으나','해놓았다고','해놓았다면','해놓은','해놓음','해님','해달','해달라고만','해달라는','해달라하시어','해당화','해드려','해드렸고','해드렸다','해드렸으나','해드렸음','해드렸지만','해드리','해드리겠','해드리겠다','해드리겠다고','해드리겠음','해드리기','해드리기로','해드린다','해드릴','해드림안','해라고','해룡','해변','해보고싶은데','해보기로','해보는','해보니깐','해보라고','해보려는데','해보면','해보셔','해보셔야','해보셔하며','해보시게','해보시겠다','해보시겠다고','해보시겠다며','해보시겠다하','해보시기','해보시길','해보시는','해보시도록','해보시라고','해보시사','해보신','해보신다','해보신다고','해보실','해보실수','해보아도','해보았는데','해보았다','해본','해볼','해볼수','해볼수있어','해볼수있음','해볼수있지만','해봐','해봐도','해봐야','해봐주십사','해봤는데','해봤다','해봤다고','해봤다고하','해봤으나','해상','해서도','해서만','해수욕장','해시','해야는지','해야지','해야하나','해야하는','해야하지','해약',
    '해외','해운','해재','해주겠다고','해주고','해주길','해주냐고','해주는데','해주던지','해주려고','해주세요','해주셔서','해주셔야지만','해주셨고','해주셨다고','해주셨던','해주셨음에도','해주시거나','해주시는','해주시는게','해주시도록','해주시되','해주시라','해주시며','해주시면','해주신다','해주실','해주십','해주십시오라고','해주어야','해주었다','해주지','해준다고','해준다는','해줄거냐고','해줄수','해줌','해줘','해줘야','해줬는데',
    '해줬다','해하시지','해하여','햇으','했기','했기에','했냐고','했냐에','했는데도','했는지','했다가','했다고하','했다는','했다라는','했다면','했다시며','했다하','했다하시고','했던거라고','했습니다','했었','했었는데','했었다고','했었다며','했었어야','했으며','했으면','했을','했을시','했음','했지만','행등','행사','향시','향후','허브','허재영','헛걸음','헨드','헷갈리','혀내','현미','현상','현석','현수','현실','현은경','현황','협력','형님','형태','혜연','호로','호소','호수','호스','호텔','혹여','혼동','홍경','홍경준','홍민성','홍범','홍성','홍성우','홍천','화가','화곡','화나','화나서','화살표','화성시','화하는','화하신','화학','화함','화했었는데','확대','확률','확성기','확실','확실한','확안','확인헀으','확정','확학','환기','환도','환블','환자','환함','황권','황신','황인','황필선','회문','회수','회안','회전','회천동','횟수','횡성','횡성휴게소','효과음','효석','효율','효자동','후경','후남','후일','후진','휴먼','휴면','휴일','흐르고있다','흔들린다고','흔적','흥국화재','희영','힐스테이트',
    '힘든',"69373","498164","teleservice","345800","가능해","69373","498164","같다셔서",'될까','맡길시에','떠서','cp','69373','4초','잃어','익일날','이해해','당겨주시면','기다려']

    stopwords2 = set(stopwords)

    r = set()
    for noun in nouns:
        if len(noun) <= 1:
            pass
        # elif len(noun) <= 2 and noun not in stopwords:
        #     print(f'{noun} 는 불용어 필터에 포함 안됨')
        #     stopwords2.add(noun)
        elif noun in stopwords2:
            # print(f'{noun} 는 불용어')
            pass
        else:
            r.add(noun)

    print(r)
    return list(r)


def run(file_name,from_idx,to_idx):
    try:
        okt = Okt()
        engine = create_engine('mysql+pymysql://developer1:1q2w3e4r@bmwgs2.clvwtbd3pi7c.ap-northeast-2.rds.amazonaws.com/bmwgs')
        Session = sessionmaker(bind=engine)
        with open(file_name) as f:
            rdr = json.loads(f.read())
            for i in range(from_idx, to_idx):
                line = rdr[i]
                # {"level_0":2,"index":2,"id":2,"cs_id":7329454,"status":"COMPLETE",
                # "cs_start_date":"2021.7.31","cs_category_id":5,"contents":"\ub370\uc2dc\ubcf4\ub4dc \ud55c\ucabd\uc774 \ud280\uc5b4\ub098\uc654\ub2e4\uace0\ud558\uc2ec \ud3c9\uc77c \uc13c\ud130 \uc785\uace0 \uc810\uac10 \ubc1b\uc73c\uc2dc\ub3c4\ub85d \uc548\ub0b4 "}
                session = Session()
                case_id = line['cs_id']
                status = line['status']
                cs_start_date = line['cs_start_date']
                md = datetime.fromtimestamp(cs_start_date / 1000)
                print(md)
                cs_category_id = line['cs_category_id']
                contents = line['contents']
                cs_assignee = None

                car_model_id = get_car_model_id(contents)
                if car_model_id == None:
                    car_model_id = "null";
                print('car_model_id:', car_model_id)
                nouns = okt.nouns(contents)
                nouns = remove_stopword(nouns)
                dictionary = dict((Counter(nouns)))

                # STEP 1.CS_RECORD에 데이터 추가
                session.execute(f"""
                            INSERT INTO customer_service_record (case_id, cs_assignee, status, cs_start_date, car_model_id, cs_category_id, contents, created_at, updated_at) 
                            VALUES ("{case_id}", "{cs_assignee}", "{status}", "{md}", {car_model_id}, {cs_category_id}, "{contents}","{datetime.now()}", "{datetime.now()}")
                            """)

                row = session.execute(f"""
                            SELECT last_insert_id()
                            """).fetchone()
                customer_service_record_id = row[0]

                for key in dictionary.keys():
                    # STEP 2. 키워드 키 값을 알아낸다.
                    # 키워드가 존재하는지 검사
                    row = session.execute(f"""
                    SELECT id FROM car_model_keyword WHERE keyword = '{key}'
                    """).fetchone()
                    # 키워드가 존재 하지 않으면 키워드를 새롭게 추가한다.
                    if not row:
                        session.execute(f"""
                        INSERT INTO car_model_keyword (keyword, emotion_category, count, car_model_id, created_at, updated_at) 
                        VALUES ("{key}", 1, 0, {car_model_id}, "{datetime.now()}", "{datetime.now()}")
                        """)
                        row = session.execute(f"""
                                    SELECT id FROM car_model_keyword WHERE keyword = '{key}'
                                    """).fetchone()
                        keyword_id = row[0]
                    # 키워드가 존재하면
                    else:
                        keyword_id = row[0]

                    # STEP 3. 다대다 테이블에 값을 넣는다.
                    session.execute(f"""
                    INSERT INTO car_model_keyword_cs_record(car_model_keyword_id, customer_service_record_id, count, created_at, updated_at)
                    VALUES ({keyword_id}, {customer_service_record_id}, {dictionary[key]},"{datetime.now()}", "{datetime.now()}")
                    """)

                    session.commit()
                print(f'{i}th line complete')

    except Exception as e:
        print(e)


run('7series.json', 0, 145)#8월 6일까지